Bug 749010 - treebuilder: ntfsresize missing from initramfs
treebuilder: ntfsresize missing from initramfs
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-10-25 16:03 EDT by John Reiser
Modified: 2013-02-04 12:47 EST (History)
2 users (show)

See Also:
Fixed In Version: lorax-17.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-04 12:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda traceback (900.54 KB, application/octet-stream)
2011-10-25 16:03 EDT, John Reiser
no flags Details
patch for ntfsresize needed by anaconda (795 bytes, patch)
2011-10-26 12:24 EDT, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2011-10-25 16:03:37 EDT
Created attachment 530169 [details]
anaconda traceback

Description of problem: An install DVD for Fedora rawhide x86_64 (to become Fedora 17) built by pungi+lorax(treebuilder) lacks ntfsresize.

Version-Release number of selected component (if applicable):
lorax-17.0   7f8a5e48b30a02afd6f9a71274a09ba73f892d60  (HEAD of treebuilder branch as of 2011-10-24 15:49:39)

How reproducible: both times

Steps to Reproduce:
1./usr/bin/pungi -c fedora-install-fedora-17.ks \
	--destdir=$DESTDIR --name Fedora --ver $VERSION --nosource
designating rawhide (to become Fedora 17).
2. burn and boot DVD for Install on box with NTFS partition
3. choose defaults, Basic disk drives, Install
Actual results:
19:36:39,454 CRIT anaconda: anaconda 17.1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iutil.py", line 242, in execWithCapture
    raise RuntimeError, "Error running " + command + ": " + e.strerror
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 1387, in minSize
    stderr = "/dev/tty5")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 497, in _is_valid_size
    if device.format.minSize and device.format.maxSize:
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 727, in is_valid_stage2_device
    if not self._is_valid_size(device, desc=self.stage2_description):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 771, in bootable_chain_devices
    if self.is_valid_stage2_device(d, linux=False, non_linux=True)]
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1385, in has_windows
    return len(self.bootable_chain_devices) != 0
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/timezone_gui.py", line 95, in getScreen
    self.utcCheckbox.set_active(not anaconda.bootloader.has_windows)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1269, in display_step
    new_screen = self.currentWindow.getScreen(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1156, in display_step
    return self.icw.display_step(step)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 379, in dispatch
    rc = self.anaconda.intf.display_step(self.step)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 243, in go_forward
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1200, in nextClicked
RuntimeError: Error running ntfsresize: No such file or directory

Expected results: success

Additional info:
Comment 1 John Reiser 2011-10-26 12:24:47 EDT
Created attachment 530328 [details]
patch for ntfsresize needed by anaconda
Comment 2 Will Woods 2011-10-26 16:37:54 EDT
Should be fixed in commit 8cdef60.
Comment 3 Fedora Admin XMLRPC Client 2013-02-04 10:03:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.